package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 所有数据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvAllDataDao;
import com.heyu.api.data.entity.vv.VvAllDataEntity;
import com.heyu.api.data.service.vv.VvAllDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvAllDataServiceImpl extends ServiceImpl<VvAllDataDao, VvAllDataEntity> implements VvAllDataService {


    @Autowired
	private VvAllDataDao vvAllDataDao;



	@Override
	public VvAllDataEntity selectVvAllDataById(Long id){
		return vvAllDataDao.selectVvAllDataById(id);
	}



	@Override
	public Long insertVvAllData(VvAllDataEntity vvAllData){
		return vvAllDataDao.insertVvAllData(vvAllData);
	}



	@Override
	public Long insertOrUpdateVvAllData(VvAllDataEntity vvAllData){
		return vvAllDataDao.insertOrUpdateVvAllData(vvAllData);
	}



	@Override
	public int updateVvAllDataById(VvAllDataEntity vvAllData){
		return vvAllDataDao.updateVvAllDataById(vvAllData);
	}



	@Override
	public int updateCoverVvAllDataById(VvAllDataEntity vvAllData){
		return vvAllDataDao.updateCoverVvAllDataById(vvAllData);
	}



	@Override
	public int deleteVvAllDataById(Long id){
		return vvAllDataDao.deleteVvAllDataById(id);
	}



}
